 IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_EST_PARAM_COMPRAS_GRUPO_CURVA_EST_PROD_CURVA_SIGLA_EST_PARAM_COMPRAS_GRUPO_CURVA_PARETO_PROC]'))
begin
	alter table EST_PARAM_COMPRAS_GRUPO_CURVA_EST_PROD_CURVA_SIGLA  DROP CONSTRAINT FK_EST_PARAM_COMPRAS_GRUPO_CURVA_EST_PROD_CURVA_SIGLA_EST_PARAM_COMPRAS_GRUPO_CURVA_PARETO_PROC
end
go
if exists (select 1 from syscolumns 
inner join systypes on syscolumns.xtype = systypes.xtype
where id = object_id('EST_PARAM_COMPRAS_GRUPO_CURVA_EST_PROD_CURVA_SIGLA') and syscolumns.name = 'CD_CTR_PROC')
begin
	ALTER TABLE dbo.EST_PARAM_COMPRAS_GRUPO_CURVA_EST_PROD_CURVA_SIGLA DROP CONSTRAINT DF_EST_PARAM_COMPRAS_GRUPO_CURVA_EST_PROD_CURVA_SIGLA_CD_CTR_PROC
end
go
 IF EXISTS (SELECT * FROM SYS.COLUMNS  WHERE NAME = 'CD_CTR_PROC'  AND OBJECT_ID = OBJECT_ID('EST_PARAM_COMPRAS_GRUPO_CURVA_EST_PROD_CURVA_SIGLA'))
begin
 ALTER TABLE dbo.EST_PARAM_COMPRAS_GRUPO_CURVA_EST_PROD_CURVA_SIGLA drop column CD_CTR_PROC
end